package db.tools;

import java.util.concurrent.atomic.AtomicLong;

/**
 * 功能描述
 *
 * @author: scott
 * @date: 2023年01月12日 2:50 PM
 */
public class DecodeStatistic {
    private static DecodeStatistic instance = new DecodeStatistic();
    private AtomicLong needDecodePacketNum = new AtomicLong(0);
    public static DecodeStatistic getInstance() {
        return instance;
    }

    public void increaseNeedDecodePacketNum(int num) {
        this.needDecodePacketNum.addAndGet(num);
    }

    public long getNeedDecodePacketNum() {
        return this.needDecodePacketNum.get();
    }

}
