package db.utils;

import db.util.ConvertFormat;
import io.netty.buffer.ByteBuf;
import io.netty.buffer.ByteBufUtil;
import io.netty.buffer.Unpooled;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class PcapHelper {
    ByteBuf buf = Unpooled.buffer();
    public PcapHelper(){
        buf.writeInt(0xd4c3b2a1);
        buf.writeShort(0x0200);
        buf.writeShort(0x0400);
        buf.writeInt(0x0);
        buf.writeInt(0x0);
        buf.writeInt(0x00000400);
        buf.writeInt(0x01000000);
    }
    public void addItem(int len,byte[] bytes){
        buf.writeInt(0x0);
        buf.writeInt(0x0);
        buf.writeBytes(ConvertFormat.intToByteLittle(len));
        buf.writeBytes(ConvertFormat.intToByteLittle(len));
        buf.writeBytes(bytes);

    }
    public byte[] getBytes(){
        return ByteBufUtil.getBytes(buf);
    }
}
